%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Style file for the compendium of papers of the conference IIEFM--2009
% () Levashov P.R., JIHT RAS, 2008
% Version 4.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\NeedsTeXFormat{LaTeX2e}[1994/01/01]
\ProvidesClass{elbrus4}[2008/1/09 v4.0 by P.R. Levashov]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{revtex4}}
\ProcessOptions

%\LoadClass{article}
\LoadClass[a4paper,aps,twocolumn,floatfix,10pt]{revtex4}
\usepackage{calc}
%\usepackage{amssymb}
\usepackage[cp1252]{inputenc}
\usepackage[english]{babel}
\usepackage{graphicx}
%\usepackage{vmargin}
%\usepackage{array}
%\usepackage{caption2}
%\usepackage{vmargin}
%\setpapersize[portrait]{A4}
%\setmargins{2.5cm}{2cm}{165mm}{254.5mm}{0pt}{0mm}{0pt}{5mm}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Page style redifinitions
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\setlength{\headheight}{0mm}
\setlength{\voffset}{-15mm}
\setlength{\topmargin}{9.5mm}
\setlength{\headsep}{0mm}
\setlength{\textheight}{250mm}

\setlength{\hoffset}{-1in}
\setlength{\oddsidemargin}{22.5mm}
\setlength{\textwidth}{165mm}
\setlength{\footskip}{7mm}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Bibliography redefinitions 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\tolerance=800


\newcounter{tmp}

\renewenvironment{thebibliography}[1]%
{\begin{list}{\arabic{tmp}.}{%
\renewcommand{\@biblabel}[1]{##1.\hfill}%
\usecounter{tmp}%
\noindent\centering\rule{0.4\columnwidth}{0.4pt}%
\vspace{3pt}%
\setlength{\rightmargin}{0pt}%
\settowidth{\labelwidth}{\@biblabel{#1}}%
\settowidth{\labelsep}{\ \ }%
\setlength{\leftmargin}{\labelwidth+\labelsep}%
\setlength{\topsep}{50pt}%
\setlength{\parsep}{0pt}%
\setlength{\itemsep}{0pt}%
\item[]}}%
{\end{list}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Enumerate redefinition
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\renewcommand{\@listI}{%
\setlength{\rightmargin}{0pt}%
\setlength{\labelwidth}{9pt}%
\settowidth{\labelsep}{\ \,}%
\setlength{\leftmargin}{\labelwidth+\labelsep}%
\setlength{\topsep}{0pt}%
\setlength{\parsep}{0pt}%
\setlength{\partopsep}{0pt}%
\setlength{\itemsep}{0pt}}

\renewcommand{\@listii}{%
\setlength{\rightmargin}{0pt}%
\setlength{\labelwidth}{9pt}%
\settowidth{\labelsep}{\ \,}%
\setlength{\leftmargin}{4pt+\labelwidth+\labelsep}%
\setlength{\topsep}{0pt}%
\setlength{\parsep}{0pt}%
\setlength{\partopsep}{0pt}%
\setlength{\itemsep}{0pt}}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Special commands for proceedings
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\newcommand\elbrustitle[1]{{\onecolumngrid\centering\textbf{#1}\\}}
\newcommand\elbrusauthor[1]{{\vspace{3pt}\centering\textbf{\textit{#1}}\\}}
\newcommand\elbrusaffil[1]{{\vspace{3pt}\centering\textit{#1}\\}}
\newcommand\elbrusemail[1]{{\vspace{3pt}\centering\textsl{#1}\vspace{6pt}\\\relax}\twocolumngrid}
%\setlength{\extrarowheight}{3pt}


\renewcommand{\@makecaption}[2]{%
\def\figurename{Fig.}
\vspace{\abovecaptionskip}%
\sbox{\@tempboxa}{\textbf{#1.} #2}
\ifdim \wd\@tempboxa >\hsize
\textbf{#1.} #2\par
\else
\global\@minipagefalse
\hbox to \hsize {\hfil \textbf{#1.} #2\hfil}%
\fi
\vspace{\belowcaptionskip}}

\renewcommand{\thetable}{\arabic{table}}

\pagestyle{plain}
%\renewcommand*\captionlabeldelim{.}
